Bug 702099 - Consider use of expires-headers on static UI components (images)
Consider use of expires-headers on static UI components (images)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
Unspecified All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-04 14:46 EDT by Mike Foley
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:58:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
YSlow feedback on expires-headers (59.06 KB, image/png)
2011-05-04 14:46 EDT, Mike Foley
no flags Details
List of images missing expires-headers (8.00 KB, application/octet-stream)
2011-05-04 14:47 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2011-05-04 14:46:33 EDT
Created attachment 496881 [details]
YSlow feedback on expires-headers

Description of problem:
Consider use of expires-headers on static UI components (images).  A typical RHQ4.0 page may have > 70 static UI components (e.g. images).  Consider adding an expires-header to these so static UI components can become available to be cached by the browser.  This won't address 1st time page load times, but will address subsequent visits to pages.  

Please don't use expires-headers on any .js, .css, or dynamic content.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  use FF plugin YSlow while using RHQ 
2.  observe feedback on expires-headers. 
3.
  
Actual results:


Expected results:


Additional info:

see attachment.
Comment 1 Mike Foley 2011-05-04 14:47:20 EDT
Created attachment 496882 [details]
List of images missing expires-headers
Comment 2 Ian Springer 2011-05-13 13:54:52 EDT
Our CacheControlFilter now takes care of setting the Expires header on image file responses to one year in the future - [master f5b7730].
Comment 3 Mike Foley 2011-06-07 09:34:49 EDT
I re-ran FF plug-in YSlow, output is below.  Note there are no images in this list without expires headers.  There are some resources ... but this looks OK to me ... the .js files should be downloaded each time.  


Grade F on Add Expires headers

There are 20 static components without a far-future expiration date.

    * (no expires) http://localhost:7080/coregui/CoreGUI.css
    * (no expires) http://localhost:7080/coregui/css/search.css
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/skins/Enterprise/skin_styles.css
    * (2011/6/7) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/org.rhq.enterprise.gui.coregui.CoreGUI.nocache.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Foundation.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Containers.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_RichTextEditor.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Calendar.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_DataBinding.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/skins/Enterprise/load_skin.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/jquery.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/jQuery-noConfict.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/flot-0.5/jquery.flot.pack.js
    * (no expires) http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/flot-0.5/excanvas.pack.js
    * (no expires) http://localhost:7080/coregui/js/jquery.sparkline-1.6.js
    * (no expires) http://localhost:7080/images/favicon.png
    * (no expires) http://rhq-project.org/favicon.ico
Comment 5 Heiko W. Rupp 2013-09-03 12:58:10 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.